> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Bookable Block Trade Accounts

> Retrieves the list of block trade accounts that the authenticated user can book trades for.



## OpenAPI

````yaml /api-reference/derivatives-api/rest-api/cde-spec.json get /rest/block-trade/booking/bookable-accounts
openapi: 3.0.3
info:
  title: Derivatives Public REST API
  version: 0.1.0
  description: Public REST API for Coinbase Derivatives Exchange Public REST Gateway
servers:
  - url: https://api.exchange.fairx.net
    variables: {}
security:
  - auth_api_key: []
  - auth_timestamp: []
  - auth_passphrase: []
  - auth_signature: []
paths:
  /rest/block-trade/booking/bookable-accounts:
    get:
      tags:
        - Block Trades
      summary: Get Bookable Block Trade Accounts
      description: >-
        Retrieves the list of block trade accounts that the authenticated user
        can book trades for.
      operationId: getBookableBlockTradeAccounts
      parameters: []
      responses:
        '200':
          description: Successfully retrieved bookable accounts
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BlockTradeAccountResponse'
        '403':
          description: Forbidden - insufficient permissions
      deprecated: false
      security: []
components:
  schemas:
    BlockTradeAccountResponse:
      type: object
      additionalProperties: false
      properties:
        account_uuid:
          type: string
          example: 123e4567-e89b-12d3-a456-426614174000
        client_name:
          type: string
          example: Client Account 1
        itm_uuid:
          type: string
          example: abcdef12-3456-7890-abcd-ef1234567890
        account:
          type: string
          example: account1
        sub_account_id:
          type: integer
          format: int64
          example: 12345
        cust_order_capacity:
          allOf:
            - $ref: '#/components/schemas/CustOrderCapacity'
          example: CTI4
        participant_type:
          allOf:
            - $ref: '#/components/schemas/ParticipantType'
          example: CLIENT
        block_trade_entity_uuid:
          type: string
          example: f81d4fae-7dec-11d0-a765-00a0c91e6bf6
    CustOrderCapacity:
      type: string
      enum:
        - CTI1
        - CTI2
        - CTI3
        - CTI4
    ParticipantType:
      type: string
      enum:
        - HOUSE
        - CLIENT
        - MARKET_MAKER
  securitySchemes:
    auth_api_key:
      in: header
      name: CB-ACCESS-KEY
      description: The key string of the API key for the request
      type: apiKey
    auth_timestamp:
      in: header
      name: CB-ACCESS-TIMESTAMP
      description: The timestamp of when the request is being made (in epoch seconds)
      type: apiKey
    auth_passphrase:
      in: header
      name: CB-ACCESS-PASSPHRASE
      description: The passphrase affiliated with the API Key
      type: apiKey
    auth_signature:
      in: header
      name: CB-ACCESS-SIGN
      description: >-
        An HMAC SHA-256 signature using the API Key secret on the string
        TIMESTAMP, METHOD, REQUEST_PATH, BODY
      type: apiKey

````